com.pixelmed.apps

## Class ConvertPlanarConfiguration

- java.lang.Object
- - com.pixelmed.apps.ConvertPlanarConfiguration

-     public class ConvertPlanarConfiguration
      extends java.lang.Object

  A class of static methods to convert the planar configuration of a multiple samples per pixel image, i.e., to change color-by-plane to color-by-pixel or vice versa.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConvertPlanarConfiguration(java.lang.String inputFileName, java.lang.String outputFileName)` Read a DICOM color image input format file and change the planar configuration of the encoded pixel data.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] arg)` Read a DICOM color image input format file and change the planar configuration of the encoded pixel data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConvertPlanarConfiguration

          public ConvertPlanarConfiguration(java.lang.String inputFileName,
                                            java.lang.String outputFileName)
                                     throws DicomException,
                                            java.io.FileNotFoundException,
                                            java.io.IOException

      Read a DICOM color image input format file and change the planar configuration of the encoded pixel data.

      Parameters:
        `inputFileName` - the input file name
        `outputFileName` - the output file name
      Throws:
        `DicomException`
        `java.io.FileNotFoundException`
        `java.io.IOException`

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] arg)

      Read a DICOM color image input format file and change the planar configuration of the encoded pixel data.

      Parameters:
        `arg` - two parameters, the inputFile, outputFile